# Get Attribute Set

Returns a single Attribute Set resource by its identifier, using OData query options ($select, $expand) to shape the result.
            


  Parameters details
  

  
    
      X-API-KEY
    
    
Custom HTTP request header containing the API key used for authentication.
            
  

    
      Accept-Language
    
    
Standard HTTP request header indicates the natural language and locale that the client prefers.
            
It can take one of the following values:
            
* : All the localized content is available in the result, regardless of the culture . This option is currently disabled.
            
null : The content localized in the default culture is available in the result.
            
culture-code : The content localized in the specified culture is available in the result.
            
 Specifying various culture codes or q-factor weighting are currently disabled.
            
Examples:
 - Expression es returns the content localized in the culture es. 
            
 - Expression en-us returns the content localized in the culture en-us.
            
  

    
      $select
    
    
Expression describing the list of Attribute Set resource properties to be included in the result.
            
The full list of the available Attribute Set resource properties is available in the JSON schema returned by the /AttributeSets/$metadata endpoint.
            
The name of the Attribute Set resource properties (both implicit and custom properties) must be specified.
            
Currently, the API does not support selecting the properties of an embedded resource or the properties of a resource within an embedded collection.
            
The expression follows the format: ATTRIBUTE_SET_PROPERTY1_NAME{, ATTRIBUTE_SET_PROPERTY2_NAME...}.
            
Examples:
 - Expression typ_title includes in the result only the property typ_title of the current resource (Attribute Set).
            
 - Expression typ_stat,typ_title includes in the result only the properties typ_stat and typ_title of the current resource (Attribute Set).
            
  

    
      $expand
    
    
Expression describing the list of collections embedded in the Attribute Set resource (Products) to be included in the result.
            
By default (if no value is supplied to this parameter), the result doesn't include the embedded collections (Products).
            
The expression follows the format: EMBEDDED_COLLECTION_OF_RESOURCE1_NAME{,EMBEDDED_COLLECTION_OF_RESOURCE1_NAME...}.
            
Currently only the embedded collections are supported, not the embedded resources.
            
Examples:
 - Expression Products includes in the result the number elements of the Products resource, embedded in the current resource (Attribute Set).
            
  

    See also: A newer version of this endpoint is available at GET /v2/AttributeSets({id}).
            The v2 endpoint returns a typed response with form layout details (ProductLayout, VariantLayout) and differs in structure from this endpoint.

Endpoint: GET /AttributeSets({attributeSetIdentifier})
Version: 2.0.0

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key

  - `Accept-Language` (string)
    The localization cultures

## Path parameters:

  - `attributeSetIdentifier` (integer, required)
    Attribute Set resource identifier

## Query parameters:

  - `$select` (string)

  - `$expand` (string)

## Response 200 fields (application/json):

  - `@readLink` (string,null)

  - `@editLink` (string,null)

  - `@etag` (string,null)

  - `@navigationLinks` (array,null)

  - `@navigationLinks.uri` (string,null)

  - `@associationLinks` (array,null)

  - `@associationLinks.uri` (string,null)

  - `@context` (string,null)

  - `value` (any,null)

## Response 400 fields (application/json):

  - `validationFailures` (object,null)
    Example: {"Layout":[{"PropertyName":"Layout","ErrorMessage":"The layout must contain exactly the attributes of the stored layout. Missing: tags. Unknown: extra_field.","AttemptedValue":null}]}

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 500 fields (application/json):

  - `error` (string,null)

  - `details` (any,null)


